Get User's Full Provisioning Report

get

/users/{userId}/provisionReport

Get full provisioning report for a specific user. Service roles are included in the response only if the logged in user has Service Administrator role. The logged in user must have at least Database Manager role for an application to get its provisioning report. Application roles are included in the report only if the logged in user has at least Application Manager role for the application.

If you are using EPM Shared Services security mode, this operation is not available. Instead use Shared Services Console to manage users, groups, and permissions.

Request

Path Parameters
Query Parameters
  • Value can be all or none. Default value is none, meaning only links to applications are returned. If all is specified, provisioning information for all applications is returned.

Back to Top

Response

200 Response

OK

Full provisioning report including service and all the applications.

404 Response

Not Found

User not found.

500 Response

Internal Server Error.

Back to Top

Examples

The following example shows how to get a full provisioning report for a specific Essbase user.

This example uses cURL to access the REST API from a Windows shell script. The calling user's ID and password are variables whose values are set in properties.bat.

Script with cURL Command

call properties.bat
curl -X GET "https://myserver.example.com:9001/essbase/rest/v1/users/user002/provisionReport?expand=all&links=none" -H "Accept:application/json" -u %User%:%Password%

Example of Response Body

{
  "service" : {
    "roles" : {
      "items" : [ {
        "name" : "user"
      } ]
    }
  },
  "applications" : {
    "items" : [ {
      "name" : "CalcTuple",
      "roles" : {
        "items" : [ {
          "name" : "db_manager"
        } ]
      },
      "filters" : {
        "items" : [ ]
      },
      "scripts" : {
        "items" : [ {
          "database" : "Tuple",
          "items" : [ {
            "name" : "Access to all calculation scripts"
          } ]
        } ]
      }
    }, {
      "name" : "Facility",
      "roles" : {
        "items" : [ {
          "name" : "app_manager"
        } ]
      },
      "filters" : {
        "items" : [ ]
      },
      "scripts" : {
        "items" : [ {
          "database" : "Rating",
          "items" : [ {
            "name" : "Access to all calculation scripts"
          } ]
        } ]
      }
    }, {
      "name" : "Sample",
      "roles" : {
        "items" : [ {
          "name" : "db_update"
        } ]
      },
      "filters" : {
        "items" : [ {
          "database" : "Basic",
          "items" : [ {
            "name" : "filter2"
          } ]
        } ]
      },
      "scripts" : {
        "items" : [ {
          "database" : "Basic",
          "items" : [ {
            "name" : "calc1"
          } ]
        } ]
      }
    } ]
  }
}
Back to Top